<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("projec" . "t_id" => base64_decode("cHJvam" . "VjdF9p" . "ZA=="), "_5a318eaa74da0cc" . "2a06bdb95289fe81" . "b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgcH" . "JvamVjdA=="), "_ec438e08973b3716c" . "60e393f66ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3VyY2UgSU" . "MgcHJvamVjdA=="), "_565d7be99acb0b7627" . "e48da068eebbd6" => base64_decode("cmVxdWl" . "yZWQ="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["proj" . "ect_" . "id"], $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5a318eaa74da0c" . "c2a06bdb95289fe" . "81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["pro" . "jec" . "t_i" . "d"], $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ec438e08973b37" . "16c60e393f66ef5" . "e7b"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_565d7be99acb0b7627e48d" . "a068eebbd6"]);
        $this->_formBuilt = true;
    }
}